Page MenuHomeFreeBSD

lang/elixir: upgrade to 1.8.1 with lang/erlang 21
ClosedPublic

Authored by olgeni on Apr 14 2019, 8:43 PM.
Tags
None
Referenced Files
Unknown Object (File)
Fri, Mar 1, 6:14 PM
Unknown Object (File)
Jan 21 2024, 2:21 PM
Unknown Object (File)
Jan 13 2024, 1:01 AM
Unknown Object (File)
Dec 30 2023, 12:35 AM
Unknown Object (File)
Dec 28 2023, 2:58 PM
Unknown Object (File)
Dec 20 2023, 7:50 AM
Unknown Object (File)
Dec 1 2023, 3:29 AM
Unknown Object (File)
Nov 18 2023, 3:01 PM
Subscribers

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Lint Coverage
Unit
No Test Coverage
Build Status
Buildable 23678
Build 22654: arc lint + arc unit

Event Timeline

olgeni retitled this revision from lang/elixir: upgrade to 1.8.1 with lang/erlang 21. to lang/elixir: upgrade to 1.8.1 with lang/erlang 21.Apr 14 2019, 8:45 PM
olgeni added reviewers: dch, jrm, feld, dumbbell.
lang/elixir/Makefile
17

How does this force it to use & run with OTP21? Don't you need a shim like in https://reviews.freebsd.org/D19192 ?

dch requested changes to this revision.Apr 17 2019, 6:20 AM
This revision now requires changes to proceed.Apr 17 2019, 6:20 AM
lang/elixir/Makefile
17

That why it requires https://reviews.freebsd.org/D19911 :)

per my comment on the https://reviews.freebsd.org/D19911 lang/erlang* diff, this works great once the additional patch was applied.

image.png (512×768 px, 649 KB)

This revision is now accepted and ready to land.Apr 26 2019, 10:36 AM
This revision now requires review to proceed.May 26 2019, 5:51 PM
This revision is now accepted and ready to land.May 26 2019, 11:43 PM
This revision was automatically updated to reflect the committed changes.